<?php
$currentTeam = '';
//session_start();
if(isset($_SESSION["team"])) $currentTeam = $_SESSION["team"];
ob_start();
if(isset($_COOKIE['team'])) $currentTeam = $_COOKIE['team'];
ob_end_flush();

if(!isset($PageLink)) $PageLink = '';
if($PageLink != '') {
	$oldPath = getcwd();
	chdir($PageLink);
}

include 'config.php';
include 'lang.php';
include 'MiniStyle.php';
?>

<div style="width:100%; text-align:center; margin:20px 0px;">
<div style="display:inline-block;">

<?php
if(!isset($playoff)) $playoff = '';
if($playoff == 1) $playoff = 'PLF';
$matches = glob($folder.'*'.$playoff.'GMs.html');
$folderLeagueURL = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
		$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'GMs')-strrpos($matches[$j], '/')-1);
		break 1;
	}
}
$Fnm = $folder.$folderLeagueURL.'TodayGames.html';
$i = 0;
$j = 0;
$round = 0;
$playoffLink = '';
$stop = 0;
if(isset($lastGames)) unset($lastGames);
if(isset($nextGames)) unset($nextGames);
if (file_exists($Fnm)) {
	$tableau = file($Fnm);
	foreach ($tableau as $cle => $val) {
	//while(list($cle,$val) = each($tableau)) {
		$val = encodeToUtf8($val);
		
		if(substr_count($val, 'mailto:alexdumont@lchv.biz')) {
			$stop = 1;
		}
		
		// Dernier Résultats
		if(substr_count($val, 'HREF')) {
			if($playoff == 'PLF' && substr_count($val, 'PLF-R')) {
				$round = trim(substr($val, strpos($val, 'PLF-R')+5, 1));
				$playoffLink = '&rnd='.$round;
			}
			if(substr_count($val, '</')) $reste = trim(substr($val, strpos($val, '>')+1, strpos($val, '</A>')-strpos($val, '>')-1));
			else $reste = trim(substr($val, strpos($val, '> ')+1));
			
			$lastGames[$i] = substr($reste, 0, strpos($reste, ' '));
			$reste = trim(substr($reste, strpos($reste, ' ')));
			
			$count = strlen($reste);
			$z = 0;
			while( $z < $count ) {
				if( ctype_digit($reste[$z]) ) {
					$lastPos = $z;
					break 1;
				}
				$z++;
			}
			$lastEquipe1[$i] = trim(substr($reste, 0, $lastPos)); 
			$reste = trim(substr($reste, $lastPos));
			$lastScore1[$i] = substr($reste, 0, strpos($reste, ' '));
			$reste = trim(substr($reste, strpos($reste, ' ')));
			$count = strlen($reste);
			$z = 0;
			while( $z < $count ) {
				if( ctype_digit($reste[$z]) ) {
					$lastPos = $z;
					break 1;
				}
				$z++;
			}
			$lastEquipe2[$i] = trim(substr($reste, 0, $lastPos));
			$reste = trim(substr($reste, $lastPos));
			$lastScore2[$i] = $reste;
			$i++;
		}
		
		// Next Games
		if(substr_count($val, ' at ')) {
			$reste = trim(substr($val, 0, strpos($val, '<BR>')));
			$nextGames[$j] = substr($reste, 0, strpos($reste, ' '));
			$reste = trim(substr($reste, strpos($reste, ' ')));
			$nextEquipe1[$j] = trim(substr($reste, 0, strpos($reste, ' at ')));
			$reste = trim(substr($reste, strpos($reste, ' at ')+4));
			$nextEquipe2[$j] = $reste;
			$j++;
		}
	}
	
	if($stop == 0) {
		$c = 1;
		echo '<div style="float:left;">';
		
		if(!isset($lastGames)) echo '<div style="line-height:normal; font-size:10pt; font-family:arial,verdana,sans-serif; box-sizing: content-box; margin-top:12px; display:block; width:100px; height:60px; float:left; padding:2px; border-radius:5px; margin-right:5px; border:solid 1px'.$couleur_contour.'">'.$todayNoSimGame.'</div>';
		else {
			for($i=0;$i<count($lastGames);$i++){
				$bold1 = '';
				if($lastEquipe1[$i] == $currentTeam) $bold1 = 'font-weight:bold;';
				$bold2 = '';
				if($lastEquipe2[$i] == $currentTeam) $bold2 = 'font-weight:bold;';
				
				$matches = glob($folderTeamLogos.strtolower($lastEquipe1[$i]).'.*');
				$todayImage1 = '';
				for($j=0;$j<count($matches);$j++) {
					$todayImage1 = $matches[$j];
					break 1;
				}
				$matches = glob($folderTeamLogos.strtolower($lastEquipe2[$i]).'.*');
				$todayImage2 = '';
				for($j=0;$j<count($matches);$j++) {
					$todayImage2 = $matches[$j];
					break 1;
				}
				
				echo '<a class="lien-noir" style="line-height:normal; font-size:10pt; font-family:arial,verdana,sans-serif; box-sizing: content-box; margin-top:12px; position:relative; display:block; width:100px; height:60px; float:left; padding:2px; border-radius:5px; margin-right:5px; border:solid 1px'.$couleur_contour.'" href="'.$PageLink.'games.php?num='.$lastGames[$i].$playoffLink.'">';
				echo '<div style="position:absolute; top:-12px; left:2px; font-size:10px;">'.$lastGames[$i].'</div>';
				echo '<img style="float:left; display:block; max-height:30px; max-width:60px; font-size:10px; line-height:normal;" src="'.$PageLink.$todayImage1.'" alt="'.$lastEquipe1[$i].'">';
				echo '<span style="float:right; display:block; width:40px; text-align:center; font-size:24px; line-height:normal; text-size-adjust:auto; box-sizing: content-box;'.$bold1.'">'.$lastScore1[$i].'</span>';
				echo '<img style="clear:left; float:left; display:block; max-height:30px; max-width:60px; font-size:10px; line-height:normal;" src="'.$PageLink.$todayImage2.'" alt="'.$lastEquipe2[$i].'">';
				echo '<span style="float:right; display:block; width:40px; text-align:center; font-size:24px; line-height:normal; text-size-adjust:auto; box-sizing: content-box;'.$bold2.'">'.$lastScore2[$i].'</span>';
				echo '</a>';
			}
			echo '</div>';
		}
		$c = 1;
		echo '<div style="float:left;">';
		
		if(!isset($nextGames)) echo '<div style="line-height:normal; font-family:arial,verdana,sans-serif; font-size:10pt; box-sizing: content-box; margin-top:12px; display:block; width:100px; height:60px; float:left; padding:2px; border-radius:5px; margin-right:5px; border:solid 1px'.$couleur_contour.'">'.$todayNoUpcomingGame.'</div>';
		else {
			for($i=0;$i<count($nextGames);$i++){
				$matches = glob($folderTeamLogos.strtolower($nextEquipe1[$i]).'.*');
				$todayImage1 = '';
				for($j=0;$j<count($matches);$j++) {
					$todayImage1 = $matches[$j];
					break 1;
				}
				$matches = glob($folderTeamLogos.strtolower($nextEquipe2[$i]).'.*');
				$todayImage2 = '';
				for($j=0;$j<count($matches);$j++) {
					$todayImage2 = $matches[$j];
					break 1;
				}
				
				echo '<div style="line-height:normal; font-size:10pt; font-family:arial,verdana,sans-serif; box-sizing: content-box; margin-top:12px; position:relative; display:block; width:60px; height:60px; text-align:center; float:left; padding:2px; border-radius:5px; margin-right:5px; border:solid 1px'.$couleur_contour.'">';
				echo '<div style="position:absolute; top:-12px; left:2px; font-size:10px;">'.$nextGames[$i].'</div>';
				echo '<img style="max-height:30px; max-width:60px; display:block; font-size:10px; line-height:normal;" src="'.$PageLink.$todayImage1.'" alt="'.$nextEquipe1[$i].'">';
				echo '<img style="max-height:30px; max-width:60px; display:block; font-size:10px; line-height:normal;" src="'.$PageLink.$todayImage2.'" alt="'.$nextEquipe2[$i].'">';
				echo '</div>';
			}
		}
		echo '</div>';
	}
	else echo 'BoxScore by Dominik Lavoie detected, use Original FHLsim files...';
}
else {
	echo $allFileNotFound.' - '.$Fnm;
}
echo '<div style="clear:both; width:100px;"></div>';

if($PageLink != '') {
	chdir($oldPath);
}
?>
</div>
</div>