<?php
include 'config.php';
include 'lang.php';
$CurrentHTML = 'Standings';
$CurrentTitle = $standingTitleWildCard;
$CurrentPage = 'Standings';
include 'head.php';

if($currentFarm == 1) {
	echo "Not Working for the Farm Club!";
	exit();
}
$matches = glob($folder.'*'.$playoff.$farm.'Standings.html');
$folderLeagueURL = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'Farm') && $farm == '') || (substr_count($matches[$j], 'Farm') && $farm == 'Farm')) {
		if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
			if(!substr_count($matches[$j], 'Overall')) {
				$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], $farm.'Standings')-strrpos($matches[$j], '/')-1);
				break 1;
			}
		}
	}
}
$c = 1;
$d = 0;
$e = 0;
$conf = 0;
$divi = 0;
$team = 0;
$columns = 13;
$Fnm = $folder.$folderLeagueURL.$farm.'Standings.html';
if(file_exists($Fnm)) {
	$tableau = file($Fnm);
	foreach ($tableau as $cle => $val) {
		$val = encodeToUtf8($val);
		if(substr_count($val, '<P>(As of')){
			$pos = strpos($val, ')');
			$pos = $pos - 10;
			$val2 = substr($val, 10, $pos);
			$lastUpdate = $allLastUpdate.' '.$val2;
		}
		if(substr_count($val, 'STK') && (substr_count($val, 'OL') || substr_count($val, 'OTL'))) {
			$e = 1;
			$columns = 14;
		}
		if(substr_count($val, 'Conference</H3>') && !substr_count($val, '<H3>By Conference</H3>')) {
			$pos = strpos($val, 'Conference</H3>');
			$pos2 = strpos($val, '<H3>');
			$val2 = substr($val, $pos2+4, $pos-$pos2-5);
			$leagueConference[$conf] = $val2;
			$d = 1;
			$b = 0;
			$final = 0;
			$conf++;
		}
		if(substr_count($val, '<H3>By Division</H3>')) {
			
		}
		if(substr_count($val, 'Division</H3>') && !substr_count($val, '<H3>By Division</H3>')) {
			$pos = strpos($val, 'Division</H3>');
			$pos2 = strpos($val, '<H3>');
			$val2 = substr($val, $pos2+4, $pos-$pos2-5);
			$leagueDivision[$divi] = $val2;
			$d = 1;
			$b = 0;
			$divi++;
		}
		if($d == 1 && substr_count($val, '</H3>')) {
			$c = 1;
		}
		if(substr_count($val, 'HREF=')) {
			$reste = trim($val);
			if(substr_count($reste, 'WIDTH')) {
				$reste = substr($reste, strpos($reste, '<A '));
			}
			if($divi == 0) {
				$wildCardTeam['PLYF'][$team] = substr($reste, 0, strpos($reste, '<'));
				$reste = trim(substr($reste, strpos($reste, '>')+1));
				$wildCardTeam['Name'][$team] = substr($reste, 0, strpos($reste, '</A>'));
				$reste = trim(substr($reste, strpos($reste, '</A>')+4));
				$wildCardTeam['Conf'][$team] = $conf - 1;
				$wildCardTeam['GAME'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['WINS'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['LOOS'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['TIES'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				if($e == 1) {
					$wildCardTeam['OTLO'][$team] = substr($reste, 0, strpos($reste, ' '));
					$reste = trim(substr($reste, strpos($reste, ' ')));
				}
				$wildCardTeam['POIN'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['GFOR'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['GAGA'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['DIFF'][$team] = $wildCardTeam['GFOR'][$team] - $wildCardTeam['GAGA'][$team];
				if($wildCardTeam['DIFF'][$team] > 0) $wildCardTeam['DIFF'][$team] = '+'.$wildCardTeam['DIFF'][$team];
				$wildCardTeam['PCTG'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				for($z=0;$z<9;$z++) {
					$reste = trim(substr($reste, strpos($reste, ' ')));
				}
				$wildCardTeam['LT10'][$team] = substr($reste, 0, strpos($reste, ' '));
				$reste = trim(substr($reste, strpos($reste, ' ')));
				$wildCardTeam['STRK'][$team] = $reste;
				if($wildCardTeam['PLYF'][$team] != ''){
					if($wildCardTeam['PLYF'][$team] == 'z') $wildCardTeam['PLYF'][$team] = 'p-';
					if($wildCardTeam['PLYF'][$team] == 'y') $wildCardTeam['PLYF'][$team] = 'x-';
					if($wildCardTeam['PLYF'][$team] == 'x') $wildCardTeam['PLYF'][$team] = 'x-';
					if($d == 3) $final = 1;
					if($d == 8) $b = 1;
					
				}
				
				if($wildCardTeam['Name'][$team] == $currentTeam) $wildCardTeam['Bold'][$team] = 'font-weight:bold;';
				else $wildCardTeam['Bold'][$team] = '';
				if($b && $d > 8 && $final) $wildCardTeam['PLYF'][$team] = ''; // Not in playoff
				
				$wildCardTeam['Used'][$team] = 0;
			
				$team++;
			}
			else {
				$reste = trim(substr($reste, strpos($reste, '>')+1));
				$tmpTeamName = substr($reste, 0, strpos($reste, '</A>'));
				$reste = trim(substr($reste, strpos($reste, '</A>')+4));
				$tmpTeamNameID = array_search($tmpTeamName, $wildCardTeam['Name']);
				$wildCardTeam['Divi'][$tmpTeamNameID] = $divi - 1;
			}
			$d++;
		}
	}
}
else { 
	echo $allFileNotFound.' - '.$Fnm;
}
?>
</table>
</div>

<?php
if(isset($leagueConference)) {
?>
<div style="clear:both; max-width:780px; margin:0px auto;">

<h1><?php echo $standingTitle; ?></h1>
<h2><?php echo $standingTitleWildCard; ?></h2>

<?php
	for($x=0;$x<count($leagueConference);$x++) {
?>
<h3><?php echo $leagueConference[$x]; ?></h3>
<?php
		// Show the best three teams in each division of the same conference
		// Two Division = Like the NHL (3 + 3) + 2 Best
		// Three Division = 2 of each divisions  (2 + 2 + 2) + 2 Best
		
		$tmpArrayKeysConf = array_keys($wildCardTeam['Conf'], $x);
		
		// Search for the number of divisions in this conference
		$tmpFoundDivisionArr = [];
		$tmpFoundDivision = 0;
		for($z=0;$z<count($tmpArrayKeysConf);$z++) {
			$tmpFoundDivisionArr[] = $wildCardTeam['Divi'][$tmpArrayKeysConf[$z]];
		}
		if(isset($tmpFoundDivisionArr)) {
			$tmpFoundDivision = count(array_unique($tmpFoundDivisionArr));
		}
		if(!isset($y)) $y = 0;
		for($y;$y<count($leagueDivision);$y++) {
			$c = 1;
			// Display All Division teams in this conference
			$tmpFoundTeam = 0;
			for($z=0;$z<count($tmpArrayKeysConf);$z++) {
				if($wildCardTeam['Divi'][$tmpArrayKeysConf[$z]] == $y) {
					if($tmpFoundTeam == 0) {
?>
<div style="overflow-x:auto; margin-bottom:20px; padding:0px 0px 0px 0px; border: solid 1px <?php echo $couleur_contour; ?>; border-bottom: 0px;">
<table class="table">
<thead>
	<tr class="table-top">
		<td colspan="2" style="width:100px;"><?php echo $leagueDivision[$y]; ?></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGPFull; ?>"><?php echo $standingGP; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingWFull; ?>"><?php echo $standingW; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingLFull; ?>"><?php echo $standingL; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingEFull; ?>"><?php echo $standingE; ?></abbr></td>
		<?php if($e == 1) echo '<td style="text-align:right;"><abbr title="'.$standingOTFull.'">'.$standingOT.'</abbr></td>'; ?>
		<td style="text-align:right;"><abbr title="<?php echo $standingPTSFull; ?>"><?php echo $standingPTS; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGFFull; ?>"><?php echo $standingGF; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGAFull; ?>"><?php echo $standingGA; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingDiffFull; ?>"><?php echo $standingDiff; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingPCTFull; ?>"><?php echo $standingPCT; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingL10Full; ?>"><?php echo $standingL10; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingSTRKFull; ?>"><?php echo $standingSTRK; ?></abbr></td>
	</tr>
</thead>
<tbody>
<?php
					}
					$tmpFoundTeam++;
					$wildCardTeam['Used'][$tmpArrayKeysConf[$z]] = 1;
					if($c == 1) $c = 2;
					else $c = 1;
?>
<tr class="table-hover<?php echo $c; ?>">
	<td style="<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $tmpFoundTeam; ?></td>
	<td style="<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><a class="lien-noir" style="display:block; width:100%;" href="LinkedRosters.php?team=<?php echo $wildCardTeam['Name'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['PLYF'][$tmpArrayKeysConf[$z]].$wildCardTeam['Name'][$tmpArrayKeysConf[$z]]; ?></a></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GAME'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['WINS'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['LOOS'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['TIES'][$tmpArrayKeysConf[$z]]; ?></td>
	<?php if($e == 1) echo '<td style="text-align:right;'.$wildCardTeam['Bold'][$tmpArrayKeysConf[$z]].'">'.$wildCardTeam['OTLO'][$tmpArrayKeysConf[$z]].'</td>'; ?>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['POIN'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GFOR'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GAGA'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['DIFF'][$tmpArrayKeysConf[$z]] ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['PCTG'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['LT10'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['STRK'][$tmpArrayKeysConf[$z]]; ?></td>
</tr>
<?php	
				}
				if(($tmpFoundDivision == 3 && $tmpFoundTeam == 2) || ($tmpFoundDivision == 2 && $tmpFoundTeam == 3)) break 1;
			}
			if($tmpFoundTeam != 0) {
?>
</tbody>
</table>
</div>
<?php
			}
			if($tmpFoundTeam == 0) break 1;
		}
?>
<div style="overflow-x:auto; margin-bottom:20px; padding:0px 0px 0px 0px; border: solid 1px <?php echo $couleur_contour; ?>; border-bottom: 0px;">
<table class="table">
<thead>
	<tr class="table-top">
		<td colspan="2" style="width:100px;"><?php echo $standingTitleWildCard; ?></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGPFull; ?>"><?php echo $standingGP; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingWFull; ?>"><?php echo $standingW; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingLFull; ?>"><?php echo $standingL; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingEFull; ?>"><?php echo $standingE; ?></abbr></td>
		<?php if($e == 1) echo '<td style="text-align:right;"><abbr title="'.$standingOTFull.'">'.$standingOT.'</abbr></td>'; ?>
		<td style="text-align:right;"><abbr title="<?php echo $standingPTSFull; ?>"><?php echo $standingPTS; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGFFull; ?>"><?php echo $standingGF; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingGAFull; ?>"><?php echo $standingGA; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingDiffFull; ?>"><?php echo $standingDiff; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingPCTFull; ?>"><?php echo $standingPCT; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingL10Full; ?>"><?php echo $standingL10; ?></abbr></td>
		<td style="text-align:right;"><abbr title="<?php echo $standingSTRKFull; ?>"><?php echo $standingSTRK; ?></abbr></td>
	</tr>
</thead>
<tbody>
<?php
		$tmpFoundTeam = 0;
		$c = 1;
		for($z=0;$z<count($tmpArrayKeysConf);$z++) {
			if($wildCardTeam['Used'][$tmpArrayKeysConf[$z]] == 0) {
				$wildCardTeam['Used'][$tmpArrayKeysConf[$z]] = 1;
				$tmpFoundTeam++;
				if($c == 1) $c = 2;
				else $c = 1;
				$tmpTableRowSpacer = "";
				if($tmpFoundTeam == 2) {
					$tmpTableRowSpacer = " table-bottom-spacer";
				}
?>
<tr class="table-hover<?php echo $c.$tmpTableRowSpacer; ?>">
	<td style="<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $tmpFoundTeam; ?></td>
	<td style="<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><a class="lien-noir" style="display:block; width:100%;" href="LinkedRosters.php?team=<?php echo $wildCardTeam['Name'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['PLYF'][$tmpArrayKeysConf[$z]].$wildCardTeam['Name'][$tmpArrayKeysConf[$z]]; ?></a></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GAME'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['WINS'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['LOOS'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['TIES'][$tmpArrayKeysConf[$z]]; ?></td>
	<?php if($e == 1) echo '<td style="text-align:right;'.$wildCardTeam['Bold'][$tmpArrayKeysConf[$z]].'">'.$wildCardTeam['OTLO'][$tmpArrayKeysConf[$z]].'</td>'; ?>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['POIN'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GFOR'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['GAGA'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['DIFF'][$tmpArrayKeysConf[$z]] ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['PCTG'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['LT10'][$tmpArrayKeysConf[$z]]; ?></td>
	<td style="text-align:right;<?php echo $wildCardTeam['Bold'][$tmpArrayKeysConf[$z]]; ?>"><?php echo $wildCardTeam['STRK'][$tmpArrayKeysConf[$z]]; ?></td>
</tr>
<?php
			}
		}
?>
</tbody>
</table>
</div>
<?php
	}
}
?>
<?php echo $lastUpdate; ?>

<h3>Legend</h3>
x - Clinched Playoff Spot<br>
p - Presidents' Trophy<br>
GP - Games Played<br>
W - Wins<br>
L - Losses<br>
OT - Overtime Losses<br>
PTS - Points<br>
GF - Goals For<br>
GA = Goals Against<br>
PCT = Wins/Losses Percentage<br>
DIFF - Goal Differential<br>
L10 - Record in last ten games<br>
STK - Streak
</div>
</body>
</html>