<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

mb_internal_encoding('UTF-8');
//mb_http_output('UTF-8');
//mb_http_input('UTF-8');
mb_language('uni');
mb_regex_encoding('UTF-8');
ob_start('mb_output_handler');

if(!function_exists('encodeToUtf8')){
	function encodeToUtf8($string) {
		return mb_convert_encoding($string, "UTF-8", mb_detect_encoding($string, "Windows-1252, ISO-8859-1, ISO-8859-15", true));
	}
}

session_start();

$playoff = '';
$currentPLF = 0;
$dropLinkPlf = '';
$plfLink = '';
$tmpFolderPlayoff = '';
// TEAM CARD - TROUVÉ SI LES FICHIERS PLAYOFF EXIST
$matches = glob($folder.'*GMs.html');
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	$tmpFolderPlayoff = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'GMs')-strrpos($matches[$j], '/')-1);
	break 1;
}
if($CurrentPage == 'fiche') {
	if(substr_count($tmpFolderPlayoff, 'PLF')) {
		$playoff = 'PLF';
		$currentPLF = 1;
		$plfLink = '?plf=1';
	}
}

if(isset($_GET['plf']) || isset($_POST['plf'])) {
	$currentPLF = ( isset($_GET['plf']) ) ? $_GET['plf'] : $_POST['plf'];
	$currentPLF = htmlspecialchars($currentPLF);
	if($currentPLF == 1) {
		$playoff = 'PLF';
		$dropLinkPlf = 'plf=1&';
		$plfLink = '?plf=1';
	}
	if($currentPLF == 0) $playoff = '';
}
if(isset($_GET['rnd']) || isset($_POST['rnd'])) {
	$playoff = 'PLF';
	$currentPLF = 1;
	$dropLinkPlf = 'plf=1&';
	$plfLink = '?plf=1';
}

$sort = '';
if(isset($_GET['sort']) || isset($_POST['sort'])) {
	$sort = ( isset($_GET['sort']) ) ? $_GET['sort'] : $_POST['sort'];
	$sort = htmlspecialchars($sort);
}

$currentTeam = '';
if(isset($_GET['team']) || isset($_POST['team'])) {
	$currentTeam = ( isset($_GET['team']) ) ? $_GET['team'] : $_POST['team'];
	$currentTeam = htmlspecialchars($currentTeam);
	
	$_SESSION["team"] = $currentTeam;
	setcookie('team', $currentTeam, time() + (86400 * 30), "/");
}
else {
	if(isset($_SESSION["team"])) $currentTeam = $_SESSION["team"];
	ob_start();
	if(isset($_COOKIE['team'])) $currentTeam = $_COOKIE['team'];
	ob_end_flush();
}

$checkedOnly = 0;
if(isset($_SESSION["only"])) $checkedOnly = $_SESSION["only"];
ob_start();
if(isset($_COOKIE['only'])) $checkedOnly = $_COOKIE['only'];
ob_end_flush();
if($checkedOnly == 1 && $currentPLF == 0) {
	$checked = ' checked="checked"';
	$checkedLink = '?only=0';
}
else {
	$checked = '';
	$checkedLink = '?only=1';
}
if(isset($_GET['only']) || isset($_POST['only'])) {
	$checked = ( isset($_GET['only']) ) ? $_GET['only'] : $_POST['only'];
	$checked = htmlspecialchars($checked);
	if($checked == 1) {
		$checked = ' checked="checked"';
		$checkedLink = '?only=0';
		$_SESSION["only"] = 1;
		setcookie('only', 1, time() + (86400 * 30), "/");
	}
	else {
		$checked = '';
		$checkedLink = '?only=1';
		$_SESSION["only"] = 0;
		setcookie('only', 0, time() + (86400 * 30), "/");
	}
}

$dropLinkOne = '';
if($CurrentPage == 'CareerLeaders' && (isset($_GET['one']) || isset($_POST['one']))) {
	$ctlOneTeams = ( isset($_GET['one']) ) ? $_GET['one'] : $_POST['one'];
	$ctlOneTeams = trim(htmlspecialchars($ctlOneTeams));
	if($ctlOneTeams == 1) $dropLinkOne = 'one=1&';
}

// CRÉATION DE LA LISTE DES ÉQUIPES
$matches = glob($folder.'*'.$playoff.'GMs.html');
$folderLeagueURL = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
		$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'GMs')-strrpos($matches[$j], '/')-1);
		break 1;
	}
}
$FnmGMs = $folder.$folderLeagueURL.'GMs.html';
$i = 0;
if(file_exists($FnmGMs)) {
	$tableau = file($FnmGMs);
	foreach ($tableau as $cle => $val) {
	//while(list($cle,$val) = each($tableau)) {
		$val = encodeToUtf8($val);
		if(substr_count($val, 'HREF') && !substr_count($val, '<BR>')) {
			$gmequipe[$i] = trim(substr($val, 0, 10));
			if($currentTeam == '' && $i == 0) $currentTeam = $gmequipe[$i];
			$i++;
		}
	}
}
else echo $allFileNotFound.' - '.$FnmGMs;

$link = '';
if($currentTeam != '') {
	$team2 = '';
	if(substr_count($currentTeam, ' ')) $team2 = substr($currentTeam, 0, strpos($currentTeam, ' '));
	else $team2 = $currentTeam;
	$link = '#'.$team2;
}

$farm = '';
$dropLinkFarm = '';
$currentFarm = 0;
if(isset($_GET['s']) || isset($_POST['s'])) {
	$currentFarm = ( isset($_GET['s']) ) ? $_GET['s'] : $_POST['s'];
	$currentFarm = htmlspecialchars($currentFarm);
	if($currentFarm == 1) {
		$farm = 'Farm';
		if($CurrentPage == 'Standings') $CurrentTitle = $standingTitleFarm;
		if($CurrentPage == 'OverallStandings') $CurrentTitle = $standingTitleFarm;
		if($CurrentPage == 'Leaders') $CurrentTitle = $leaderTitleFarm;
		$dropLinkFarm = 's=1&';
	}
}

if($currentFarm == 0 && $CurrentPage != 'ChatBox' && $CurrentPage != 'Unassigned' && $CurrentPage != 'games' && $CurrentPage != 'Injury' && $CurrentPage != 'CareerStats' && $CurrentPage != 'CareerStatsPlayer' && $CurrentPage != 'SearchPlayers' && $CurrentPage != 'ComparePlayers' && $CurrentPage != 'LinkedRostersFull') $CurrentTitle .= ' - '.$currentTeam;
if($CurrentPage == 'games') $folder .= $folderGames;

$width = 555;
if($CurrentPage == 'LinkedRosters' || $CurrentPage == 'LinkedRostersFull' || $CurrentPage == 'StandingsTree') $width = 800;
if($CurrentPage == 'Unassigned' || $CurrentPage == 'OverallStandings' || $CurrentPage == 'StandingsTree' || $CurrentPage == 'Standings' || $CurrentPage == 'Waivers' || $CurrentPage == 'Transact' || $CurrentPage == 'Schedule' || $CurrentPage == 'games' || $CurrentPage == 'Leaders' || $CurrentPage == 'GMs' || $CurrentPage == 'Coaches' || $CurrentPage == 'Injury' || $CurrentPage == 'Individual' || $CurrentPage == 'TeamStats' || $CurrentPage == 'TodayGames' || $CurrentPage == 'LinkedRostersFull') $link = '';
?>

<!DOCTYPE html>
<html>
<head>

<title><?php echo $CurrentTitle; ?></title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta name="author" content="Éric Leclerc">
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, width=device-width, user-scalable=yes">

<?php include 'style.php' ?>

</head>
<body>

<?php
// Chat Box Javascript & Window
if($leagueChatBox == 1) echo '
<script type="text/javascript">
<!--

var chatBoxStartup = 1;
var chatBoxTitle = document.title;
var chatBoxTitleStop = 1;
function openWindow(x) {
	document.getElementById(x).style.display = "block";
}
function closeWindow(x) {
	document.getElementById(x).style.display = "none";
}

function chatBox(x) {
	if(x == "write" && document.getElementById("chatBoxName").value == "") {
		document.getElementById("chatBoxName").focus();
		document.getElementById("chatBox").innerHTML += "Enter your name...<br>";
		document.getElementById("chatBox").scrollTop = document.getElementById("chatBox").scrollHeight;
		return;
	}
	if(x == "write" && document.getElementById("chatBoxText").value == "") {
		document.getElementById("chatBoxText").focus();
		document.getElementById("chatBox").innerHTML += "Enter your message...<br>";
		document.getElementById("chatBox").scrollTop = document.getElementById("chatBox").scrollHeight;
		return;
	}
	
	if (window.XMLHttpRequest) xmlhttp=new XMLHttpRequest();
	else xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");

	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			var response = xmlhttp.responseText;
			if(x == "write") {
				document.getElementById("chatBox").innerHTML += response;
				document.getElementById("chatBoxText").value = "";
				document.getElementById("chatBoxText").focus();
				document.getElementById("chatBox").scrollTop = document.getElementById("chatBox").scrollHeight;
			}
			if(x == "read") {
				if(document.getElementById("chatBox").innerHTML != response) {
					document.getElementById("chatBox").innerHTML = response;
					document.getElementById("chatBox").scrollTop = document.getElementById("chatBox").scrollHeight;
					if(document.getElementById("popupChatBox").style.display == "none" && chatBoxStartup == 0) {
						document.getElementById("chatBoxLink").style.backgroundColor = "'.$mouseHoverTableLine.'";
						chatBoxTitleStop = 0;
						chatBoxTitleFlash("0");
					}
					if(chatBoxStartup == 1) chatBoxStartup = 0;
				}
			}
		}
	}
var parameters="s="+x;
if(x == "write") parameters += "&write="+document.getElementById("chatBoxText").value+"&name="+document.getElementById("chatBoxName").value;
xmlhttp.open("POST", "ChatBox2.php", true)
xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded")
xmlhttp.send(parameters)
}

function chatBoxTitleFlash(x) {
	if(chatBoxTitleStop == 0) {
		if(x == 0) {
			setTimeout(function(){ 
				document.title = "'.$langChatBoxNew.'";
				document.getElementById("chatBoxLink").style.backgroundColor = "'.$mouseHoverTableLine.'";
				chatBoxTitleFlash("1");
			}, 1000);
		}
		if(x == 1) {
			setTimeout(function(){ 
				document.title = chatBoxTitle;
				document.getElementById("chatBoxLink").style.backgroundColor = "#dddddd";
				chatBoxTitleFlash("0");
			}, 1000);
		}
	}
	else {
		document.title = chatBoxTitle;
		document.getElementById("chatBoxLink").style.backgroundColor = "#dddddd";
	}
}

function chatBoxTimeOut() {
	setTimeout(function(){ 
		chatBox("read");
		chatBoxTimeOut();
	}, 2000);
}

function openChatBox() {
	chatBoxTitleStop = 1;
	document.getElementById("popupChatBox").style.display = "block";
	document.getElementById("chatBoxLink").style.backgroundColor = "#dddddd";
	document.getElementById("chatBox").scrollTop = document.getElementById("chatBox").scrollHeight;
	document.getElementById("chatBoxName").focus();
	
}

//-->
</script>

<div onclick="javascript:closeWindow(\'popupChatBox\');" style="display:none; position:fixed; width:100%; height:100%; background-color:#ffffff; background-color:rgba(255,255,255,0.7); z-index:10;" id="popupChatBox">
	<div onclick="javascript:if(event.stopPropagation) event.stopPropagation();" style="background-color:#ffffff; border:1px solid '.$couleur_contour.'; margin-left:auto; margin-right:auto; width:555px;">
		<div class="titre">
			<div style="float:left; font-weight:bold; position:relative; left:5px; text-align:left;">'.strtoupper($langChatBoxTitle).'</div>
			<div style="float:right;">
				<a href="javascript:closeWindow(\'popupChatBox\');" style="width:20px; display:block; padding:0px 7px; border-radius:8px; text-align:center; border: 1px solid #a1a1a1; background-color: #dddddd;" class="lien-noir">X</a>
			</div>
			
		</div>
		<div style="width:100%; height:200px; overflow-y:scroll;" id="chatBox"></div>
		<input id="chatBoxName" type="text" placeholder="Enter a name" style="width:100px;"><input id="chatBoxText" type="text" placeholder="Enter your message" style="width:400px;">
	</div>
</div>

<script type="text/javascript">
<!--

document.getElementById("chatBoxText").addEventListener("keyup", function(event){
	if(event.which == 13) {
		chatBox("write");
	}
});
document.getElementById("chatBoxName").addEventListener("keyup", function(event){
	if(event.which == 13) {
		chatBox("write");
	}
});
document.addEventListener("DOMContentLoaded", chatBox("read"), false);
document.addEventListener("DOMContentLoaded", chatBoxTimeOut(), false);

//-->
</script>';
?>

<div style="margin-left:auto; margin-right:auto; width:<?php echo $width; ?>px; padding:0px 1px 0px 1px;">

<?php
if($CurrentHTML != '') {
	echo '<a style="float:left; display:block;" href="'.$folder.$folderLeagueURL.$farm.$CurrentHTML.'.html'.$link.'" target="_blank" class="lien-noir">'.$allOriginal.'</a>';
}

if($leagueHomeButton != 0 || $leagueBackButton == 1 || $leagueChatBox == 1) {
	
	echo '<div style="display:block; position:fixed; top:0px; left:0px;">';
	
	if($leagueHomeButton != 0) {
		$scanHomeDirect = "";
		for($x=0;$x<$leagueHomeButton;$x++) {
			$scanHomeDirect .= "../";
		}
		//$scanHomeDirect .= "/blog/"; // ADD SUBFOLDER TO HOME BUTTON (Just remove // at the beginning and edit the subfolder between ")
		echo '<a style="padding:2px 7px; border-radius: 8px; text-align:center; border: 1px solid #a1a1a1; background-color: #dddddd;" href="'.$scanHomeDirect.'" class="lien-noir">'.$homeTitle.'</a>';
	}
	if($leagueBackButton == 1) echo '<a style="padding:2px 7px; border-radius: 8px; text-align:center; border: 1px solid #a1a1a1; background-color: #dddddd;" href="javascript:window.history.back();" class="lien-noir">'.$allBack.'</a>';
	if($leagueChatBox == 1) echo '<a id="chatBoxLink" style="padding:2px 7px; border-radius: 8px; text-align:center; border: 1px solid #a1a1a1; background-color: #dddddd;" href="javascript:openChatBox();" class="lien-noir">C</a>';
	
	// Recherche du GM EDITOR ONLINE!
	function rsearch($sfolder, $pattern) {
		$iti = new RecursiveDirectoryIterator($sfolder);
		foreach(new RecursiveIteratorIterator($iti) as $file){
			if(strpos($file , $pattern) !== false){
				return $file;
			}
		}
		return false;
	}
	
	if(!defined('__DIR__')) { define('__DIR__', dirname(__FILE__)); }
	$scanFolder = $scanFolderWork = substr(__DIR__.DIRECTORY_SEPARATOR, strlen($_SERVER['DOCUMENT_ROOT'].DIRECTORY_SEPARATOR));
	$scanFolderFull = __DIR__.DIRECTORY_SEPARATOR;
	for($x=0;$x<substr_count($scanFolder,DIRECTORY_SEPARATOR)+1;$x++) {
		$filepath = rsearch($scanFolderFull, "admin".DIRECTORY_SEPARATOR."fhlteam.php");
		//echo $scanFolderFull."<br>";
		if(isset($filepath) && $filepath != '') break 1;
		$scanFolderFull = dirname($scanFolderFull).DIRECTORY_SEPARATOR;
	}
	
	if(isset($filepath) && $filepath != '') {
		$filepath = substr($filepath, strlen($_SERVER['DOCUMENT_ROOT']), strpos($filepath, "admin".DIRECTORY_SEPARATOR."fhlteam.php")-strlen($_SERVER['DOCUMENT_ROOT']));
		//$filepath = "../../OGME/"; // USE YOUR OWN LINK TO OGME (Just remove // at the beginning and edit the path between ")
		echo '<a id="gmEditorLink" style="padding:2px 7px; border-radius: 8px; text-align:center; border: 1px solid #a1a1a1; background-color: #dddddd;" class="lien-noir" target="_blank" href="'.$filepath.'">GM Editor</a>';
	}
	
	echo '</div>';
}

// Liste des équipes
if($CurrentPage != 'games' && $CurrentPage != 'ChatBox' && $CurrentPage != 'Unassigned' && $CurrentPage != 'Injury' && $CurrentPage != 'CareerStats' && $CurrentPage != 'CareerStatsPlayer' && $CurrentPage != 'SearchPlayers' && $CurrentPage != 'ComparePlayers' && $CurrentPage != 'LinkedRostersFull') {
	echo '<select style="display:block; float:right;" onchange="window.location = \''.$CurrentPage.'.php?'.$dropLinkPlf.$dropLinkFarm.$dropLinkOne.'team=\' + this.value;">';
	for($i=0;$i<count($gmequipe);$i++) {
		$selected = '';
		if($currentTeam == $gmequipe[$i] || ($currentTeam == '' && $i == 0)) $selected =  'selected="selected"';
		echo '<option value="'.$gmequipe[$i].'"'.$selected.'>'.$gmequipe[$i].'</option>';
	}
	echo '</select>';
}

if($CurrentPage == 'Schedule' && $currentPLF == 0) {
	echo '<div style="float:right; margin-right:20px; margin-top:2px;">';
	echo '<label style="position:relative; bottom:2px;" for="only">'.$scheldSelectTeam.'</label><input'.$checked.' id="only" type="checkbox" value="1" onclick="javascript:window.location = \''.$CurrentPage.'.php'.$checkedLink.'\'">';
	echo '</div>';
}

if($CurrentPage == 'Schedule' && $currentPLF == 1 && isset($existRnd)) {
	if($existRnd >= 4) echo ' - <a href="'.$CurrentPage.'.php?plf=1&rnd=4" class="lien-noir">'.$scheldRound.' 4</a>';
	if($existRnd >= 3) echo ' - <a href="'.$CurrentPage.'.php?plf=1&rnd=3" class="lien-noir">'.$scheldRound.' 3</a>';
	if($existRnd >= 2) echo ' - <a href="'.$CurrentPage.'.php?plf=1&rnd=2" class="lien-noir">'.$scheldRound.' 2</a>';
	if($existRnd >= 1) echo ' - <a href="'.$CurrentPage.'.php?plf=1&rnd=1" class="lien-noir">'.$scheldRound.' 1</a>';
}

if($CurrentPage == 'LinkedRosters' || $CurrentPage == 'LinkedRosters' || $CurrentPage == 'Finance' || $CurrentPage == 'Lines' || $CurrentPage == 'Futures' || $CurrentPage == 'fiche' || $CurrentPage == 'TeamScoring') {
	$boldFinance = $boldLinkedRosters = $boldLines = $boldFutures = $boldfiche = $boldScoring = '';
	if($CurrentPage == 'TeamScoring') $boldScoring = ' style="font-weight:bold;"';
	if($CurrentPage == 'LinkedRosters') $boldLinkedRosters = ' style="font-weight:bold;"';
	if($CurrentPage == 'Finance') $boldFinance = ' style="font-weight:bold;"';
	if($CurrentPage == 'Lines') $boldLines = ' style="font-weight:bold;"';
	if($CurrentPage == 'Futures') $boldFutures = ' style="font-weight:bold;"';
	if($CurrentPage == 'fiche') $boldfiche = ' style="font-weight:bold;"';
	echo '<div style="float:right; margin-right:20px; margin-top:2px;">';
	echo '<a class="lien-noir" href="TeamScoring.php'.$plfLink.'"'.$boldScoring.'>'.$allScoring.'</a> - ';
	echo '<a class="lien-noir" href="Finance.php'.$plfLink.'"'.$boldFinance.'>'.$allFinances.'</a> - ';
	echo '<a class="lien-noir" href="LinkedRosters.php'.$plfLink.'"'.$boldLinkedRosters.'>'.$allRosters.'</a> - ';
	echo '<a class="lien-noir" href="Lines.php'.$plfLink.'"'.$boldLines.'>'.$allLines.'</a> - ';
	echo '<a class="lien-noir" href="Futures.php'.$plfLink.'"'.$boldFutures.'>'.$allProspects.'</a> - ';
	echo '<a class="lien-noir" href="fiche.php"'.$boldfiche.'>'.$allTeamCard.'</a>';
	echo '</div>';
}
?>

</div>