<?php 
error_reporting(E_ALL);
ini_set("display_errors", "On");
?>
<!DOCTYPE html>
<html>
<head>
<?php include 'config.php' ?>
<title>Table Page - TEST</title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta name="author" content="Éric Leclerc">
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, width=device-width, user-scalable=yes">

<style type="text/css">
body { 
	margin:0px; 
	padding: 0px;
	font-size:10pt;
	font-family:arial,verdana,sans-serif;
}
img {
	margin: 0;
	padding: 0;
	border: 0;
}

div.green, div.red, div.title {
	width:200px;
	line-height:14px;
	font-size:14px;
	padding:5px; 0px;
	border-bottom: 2px solid black;
	color:black;
	margin-left:auto;
	margin-right:auto;
}

div.green {
	border-left: 20px solid green;
}

div.red {
	border-left: 20px solid red;
}

div.title {
	border-left: 20px solid gray;
	text-align:center;
	font-weight:bold;
}

</style>
<?php

function findFolder($filename ,$folder, $playoff) {
	$matches = glob($folder.'*'.$playoff.$filename.'.html');
	$folderLeagueURL = '';
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
			$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], $filename)-strrpos($matches[$j], '/')-1);
			break 1;
		}
	}
	return $folderLeagueURL;
}

$FnmWaiversStatus = $FnmTransactStatus = $FnmTop5PointsStatus = $FnmTop5GoalsStatus = $FnmTop5AssistStatus = $FnmTodayGamesStatus = $FnmTeamStatsStatus = $FnmTeamScoringStatus = $FnmStandingsStatus = $FnmScheduleStatus = $FnmRostersStatus = $FnmPlayerVitalsStatus = $FnmLinesStatus = $FnmLeadersStatus = $FnmInjuryStatus = $FnmIndividualStatus = $FnmGMsStatus = $FnmFuturesStatus = $FnmFinanceStatus = $FnmFarmStandingsStatus = $FnmFarmLeadersStatus = $FnmCoachesStatus = "red";

$FnmCoaches = $folder.findFolder('Coaches', $folder, '').'Coaches.html';
if(file_exists($FnmCoaches)) $FnmCoachesStatus = "green";

$FnmFarmLeaders = $folder.findFolder('FarmLeaders', $folder, '').'FarmLeaders.html';
if(file_exists($FnmFarmLeaders)) $FnmFarmLeadersStatus = "green";

$FnmFarmStandings = $folder.findFolder('FarmStandings', $folder, '').'FarmStandings.html';
if(file_exists($FnmFarmStandings)) $FnmFarmStandingsStatus = "green";

$FnmFinance = $folder.findFolder('Finance', $folder, '').'Finance.html';
if(file_exists($FnmFinance)) $FnmFinanceStatus = "green";

$FnmFutures = $folder.findFolder('Futures', $folder, '').'Futures.html';
if(file_exists($FnmFutures)) $FnmFuturesStatus = "green";

$FnmGMs = $folder.findFolder('GMs', $folder, '').'GMs.html';
if(file_exists($FnmGMs)) $FnmGMsStatus = "green";

$FnmIndividual = $folder.findFolder('Individual', $folder, '').'Individual.html';
if(file_exists($FnmIndividual)) $FnmIndividualStatus = "green";

$FnmInjury = $folder.findFolder('Injury', $folder, '').'Injury.html';
if(file_exists($FnmInjury)) $FnmInjuryStatus = "green";

$FnmLeaders = $folder.findFolder('Leaders', $folder, '').'Leaders.html';
if(file_exists($FnmLeaders)) $FnmLeadersStatus = "green";

$FnmLines = $folder.findFolder('Lines', $folder, '').'Lines.html';
if(file_exists($FnmLines)) $FnmLinesStatus = "green";

$FnmPlayerVitals = $folder.findFolder('PlayerVitals', $folder, '').'PlayerVitals.html';
if(file_exists($FnmPlayerVitals)) $FnmPlayerVitalsStatus = "green";

$FnmRosters = $folder.findFolder('Rosters', $folder, '').'Rosters.html';
if(file_exists($FnmRosters)) $FnmRostersStatus = "green";

$FnmSchedule = $folder.findFolder('Schedule', $folder, '').'Schedule.html';
if(file_exists($FnmSchedule)) $FnmScheduleStatus = "green";

$FnmStandings = $folder.findFolder('Standings', $folder, '').'Standings.html';
if(file_exists($FnmStandings)) $FnmStandingsStatus = "green";

$FnmTeamScoring = $folder.findFolder('TeamScoring', $folder, '').'TeamScoring.html';
if(file_exists($FnmTeamScoring)) $FnmTeamScoringStatus = "green";

$FnmTeamStats = $folder.findFolder('TeamStats', $folder, '').'TeamStats.html';
if(file_exists($FnmTeamScoring)) $FnmTeamStatsStatus = "green";

$FnmTodayGames = $folder.findFolder('TodayGames', $folder, '').'TodayGames.html';
if(file_exists($FnmTodayGames)) $FnmTodayGamesStatus = "green";

$FnmTop5Assist = $folder.findFolder('Top5Assist', $folder, '').'Top5Assist.html';
if(file_exists($FnmTop5Assist)) $FnmTop5AssistStatus = "green";

$FnmTop5Goals = $folder.findFolder('Top5Goals', $folder, '').'Top5Goals.html';
if(file_exists($FnmTop5Goals)) $FnmTop5GoalsStatus = "green";

$FnmTop5Points = $folder.findFolder('Top5Points', $folder, '').'Top5Points.html';
if(file_exists($FnmTop5Points)) $FnmTop5PointsStatus = "green";

$FnmTransact = $folder.findFolder('Transact', $folder, '').'Transact.html';
if(file_exists($FnmTransact)) $FnmTransactStatus = "green";

$FnmWaivers = $folder.findFolder('Waivers', $folder, '').'Waivers.html';
if(file_exists($FnmWaivers)) $FnmWaiversStatus = "green";


$FnmPLFWaiversStatus = $FnmPLFTransactStatus = $FnmPLFTop5PointsStatus = $FnmPLFTop5GoalsStatus = $FnmPLFTop5AssistStatus = $FnmPLFTodayGamesStatus = $FnmPLFTeamStatsStatus = $FnmPLFTeamScoringStatus = $FnmPLFStandingsTreeStatus = $FnmPLFStandingsStatus = $FnmPLFRostersStatus = $FnmPLFPlayerVitalsStatus = $FnmPLFLinesStatus = $FnmPLFLeadersStatus = $FnmPLFInjuryStatus = $FnmPLFIndividualStatus = $FnmPLFGMsStatus = $FnmPLFFuturesStatus = $FnmPLFFinanceStatus = $FnmPLFCoachesStatus = $FnmPLFRound4ScheduleStatus = $FnmPLFRound3ScheduleStatus = $FnmPLFRound2ScheduleStatus = $FnmPLFRound1ScheduleStatus = "red";

$FnmPLFRound1Schedule = $folder.findFolder('-Round1-Schedule', $folder, 'PLF').'-Round1-Schedule.html';
if(file_exists($FnmPLFRound1Schedule)) $FnmPLFRound1ScheduleStatus = "green";

$FnmPLFRound2Schedule = $folder.findFolder('-Round2-Schedule', $folder, 'PLF').'-Round2-Schedule.html';
if(file_exists($FnmPLFRound2Schedule)) $FnmPLFRound2ScheduleStatus = "green";

$FnmPLFRound3Schedule = $folder.findFolder('-Round3-Schedule', $folder, 'PLF').'-Round3-Schedule.html';
if(file_exists($FnmPLFRound3Schedule)) $FnmPLFRound3ScheduleStatus = "green";

$FnmPLFRound4Schedule = $folder.findFolder('-Round4-Schedule', $folder, 'PLF').'-Round4-Schedule.html';
if(file_exists($FnmPLFRound4Schedule)) $FnmPLFRound4ScheduleStatus = "green";

$FnmPLFCoaches = $folder.findFolder('Coaches', $folder, 'PLF').'Coaches.html';
if(file_exists($FnmPLFCoaches)) $FnmPLFCoachesStatus = "green";

$FnmPLFFinance = $folder.findFolder('Finance', $folder, 'PLF').'Finance.html';
if(file_exists($FnmPLFFinance)) $FnmPLFFinanceStatus = "green";

$FnmPLFFutures = $folder.findFolder('Futures', $folder, 'PLF').'Futures.html';
if(file_exists($FnmPLFFutures)) $FnmPLFFuturesStatus = "green";

$FnmPLFGMs = $folder.findFolder('GMs', $folder, 'PLF').'GMs.html';
if(file_exists($FnmPLFGMs)) $FnmPLFGMsStatus = "green";

$FnmPLFIndividual = $folder.findFolder('Individual', $folder, 'PLF').'Individual.html';
if(file_exists($FnmPLFIndividual)) $FnmPLFIndividualStatus = "green";

$FnmPLFInjury = $folder.findFolder('Injury', $folder, 'PLF').'Injury.html';
if(file_exists($FnmPLFInjury)) $FnmPLFInjuryStatus = "green";

$FnmPLFLeaders = $folder.findFolder('Leaders', $folder, 'PLF').'Leaders.html';
if(file_exists($FnmPLFLeaders)) $FnmPLFLeadersStatus = "green";

$FnmPLFLines = $folder.findFolder('Lines', $folder, 'PLF').'Lines.html';
if(file_exists($FnmPLFLines)) $FnmPLFLinesStatus = "green";

$FnmPLFPlayerVitals = $folder.findFolder('PlayerVitals', $folder, 'PLF').'PlayerVitals.html';
if(file_exists($FnmPLFPlayerVitals)) $FnmPLFPlayerVitalsStatus = "green";

$FnmPLFRosters = $folder.findFolder('Rosters', $folder, 'PLF').'Rosters.html';
if(file_exists($FnmPLFRosters)) $FnmPLFRostersStatus = "green";

$FnmPLFStandings = $folder.findFolder('Standings', $folder, 'PLF').'Standings.html';
if(file_exists($FnmPLFStandings)) $FnmPLFStandingsStatus = "green";

$FnmPLFStandingsTree = $folder.findFolder('StandingsTree', $folder, 'PLF').'StandingsTree.html';
if(file_exists($FnmPLFStandingsTree)) $FnmPLFStandingsTreeStatus = "green";

$FnmPLFTeamScoring = $folder.findFolder('TeamScoring', $folder, 'PLF').'TeamScoring.html';
if(file_exists($FnmPLFTeamScoring)) $FnmPLFTeamScoringStatus = "green";

$FnmPLFTeamStats = $folder.findFolder('TeamStats', $folder, 'PLF').'TeamStats.html';
if(file_exists($FnmPLFTeamStats)) $FnmPLFTeamStatsStatus = "green";

$FnmPLFTodayGames = $folder.findFolder('TodayGames', $folder, 'PLF').'TodayGames.html';
if(file_exists($FnmPLFTodayGames)) $FnmPLFTodayGamesStatus = "green";

$FnmPLFTop5Assist = $folder.findFolder('Top5Assist', $folder, 'PLF').'Top5Assist.html';
if(file_exists($FnmPLFTop5Assist)) $FnmPLFTop5AssistStatus = "green";

$FnmPLFTop5Goals = $folder.findFolder('Top5Goals', $folder, 'PLF').'Top5Goals.html';
if(file_exists($FnmPLFTop5Goals)) $FnmPLFTop5GoalsStatus = "green";

$FnmPLFTop5Points = $folder.findFolder('Top5Points', $folder, 'PLF').'Top5Points.html';
if(file_exists($FnmPLFTop5Points)) $FnmPLFTop5PointsStatus = "green";

$FnmPLFTransact = $folder.findFolder('Transact', $folder, 'PLF').'Transact.html';
if(file_exists($FnmPLFTransact)) $FnmPLFTransactStatus = "green";

$FnmPLFWaivers = $folder.findFolder('Waivers', $folder, 'PLF').'Waivers.html';
if(file_exists($FnmPLFWaivers)) $FnmPLFWaiversStatus = "green";

?>
</head>
<body>

<?php

echo '<div class="title">Regular Season</div>';
echo '<div class="'.$FnmCoachesStatus.'">Coaches</div>';
echo '<div class="'.$FnmFarmLeadersStatus.'">FarmLeaders</div>';
echo '<div class="'.$FnmFarmStandingsStatus.'">FarmStandings</div>';
echo '<div class="'.$FnmFinanceStatus.'">Finance</div>';
echo '<div class="'.$FnmFuturesStatus.'">Futures</div>';
echo '<div class="'.$FnmGMsStatus.'">GMs</div>';
echo '<div class="'.$FnmIndividualStatus.'">Individual</div>';
echo '<div class="'.$FnmInjuryStatus.'">Injury</div>';
echo '<div class="'.$FnmLeadersStatus.'">Leaders</div>';
echo '<div class="'.$FnmLinesStatus.'">Lines</div>';
echo '<div class="'.$FnmPlayerVitalsStatus.'">PlayerVitals</div>';
echo '<div class="'.$FnmRostersStatus.'">Rosters</div>';
echo '<div class="'.$FnmScheduleStatus.'">Schedule</div>';
echo '<div class="'.$FnmStandingsStatus.'">Standings</div>';
echo '<div class="'.$FnmTeamScoringStatus.'">TeamScoring</div>';
echo '<div class="'.$FnmTeamStatsStatus.'">TeamStats</div>';
echo '<div class="'.$FnmTodayGamesStatus.'">TodayGames</div>';
echo '<div class="'.$FnmTop5AssistStatus.'">Top5Assist</div>';
echo '<div class="'.$FnmTop5GoalsStatus.'">Top5Goals</div>';
echo '<div class="'.$FnmTop5PointsStatus.'">Top5Points</div>';
echo '<div class="'.$FnmTransactStatus.'">Transact</div>';
echo '<div class="'.$FnmWaiversStatus.'">Waivers</div>';

echo '<div class="title">Playoff</div>';
echo '<div class="'.$FnmPLFRound1ScheduleStatus.'">Round1-Schedule</div>';
echo '<div class="'.$FnmPLFRound2ScheduleStatus.'">Round2-Schedule</div>';
echo '<div class="'.$FnmPLFRound3ScheduleStatus.'">Round3-Schedule</div>';
echo '<div class="'.$FnmPLFRound4ScheduleStatus.'">Round4-Schedule</div>';
echo '<div class="'.$FnmPLFCoachesStatus.'">Coaches</div>';
echo '<div class="'.$FnmPLFFinanceStatus.'">Finance</div>';
echo '<div class="'.$FnmPLFFuturesStatus.'">Futures</div>';
echo '<div class="'.$FnmPLFGMsStatus.'">GMs</div>';
echo '<div class="'.$FnmPLFIndividualStatus.'">Individual</div>';
echo '<div class="'.$FnmPLFInjuryStatus.'">Injury</div>';
echo '<div class="'.$FnmPLFLeadersStatus.'">Leaders</div>';
echo '<div class="'.$FnmPLFLinesStatus.'">Lines</div>';
echo '<div class="'.$FnmPLFPlayerVitalsStatus.'">PlayerVitals</div>';
echo '<div class="'.$FnmPLFRostersStatus.'">Rosters</div>';
echo '<div class="'.$FnmPLFStandingsStatus.'">Standings</div>';
echo '<div class="'.$FnmPLFStandingsTreeStatus.'">StandingsTree</div>';
echo '<div class="'.$FnmPLFTeamScoringStatus.'">TeamScoring</div>';
echo '<div class="'.$FnmPLFTeamStatsStatus.'">TeamStats</div>';
echo '<div class="'.$FnmPLFTodayGamesStatus.'">TodayGames</div>';
echo '<div class="'.$FnmPLFTop5AssistStatus.'">Top5Assist</div>';
echo '<div class="'.$FnmPLFTop5GoalsStatus.'">Top5Goals</div>';
echo '<div class="'.$FnmPLFTop5PointsStatus.'">Top5Points</div>';
echo '<div class="'.$FnmPLFTransactStatus.'">Transact</div>';
echo '<div class="'.$FnmPLFWaiversStatus.'">Waivers</div>';
?>

</body>
</html>